Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tonbeller.jpivot.olap.mdxparse
Class Literal

    java.lang.Object
      com.tonbeller.jpivot.olap.mdxparse.Literal

All Implemented Interfaces:
  Exp

    public class Literal

extends java.lang.Object
implements Exp

MDX parser Literal Expressions

Field Summary
`static Literal` | `doubleOne`
`static Literal` | `doubleZero`
`static Literal` | `emptyString`
`static Literal` | `one`
`int` | `type`
`static int` | `TYPE_NUMERIC`
`static int` | `TYPE_STRING`
`static int` | `TYPE_SYMBOL`
`static Literal` | `zero`

Method Summary
`void` | `accept(ExpVisitor visitor)` Exp is visitable
`java.lang.Object` | `clone()` Literal is immutable
`static Literal` | `create(java.lang.Double d)`
`static Literal` | `create(java.lang.Integer i)`
`static Literal` | `createString(java.lang.String s)`
`static Literal` | `createSymbol(java.lang.String s)`
`java.lang.Object` | `getValueObject()`
`java.lang.String` | `stringValue()`
`java.lang.String` | `toMdx()` format to MDX

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### type

    public int type

### emptyString

    public static final Literal emptyString

### zero

    public static final Literal zero

### one

    public static final Literal one

### doubleZero

    public static final Literal doubleZero

### doubleOne

    public static final Literal doubleOne

### TYPE_SYMBOL

    public static final int TYPE_SYMBOL

See Also:
  Constant Field Values

### TYPE_STRING

    public static final int TYPE_STRING

See Also:
  Constant Field Values

### TYPE_NUMERIC

    public static final int TYPE_NUMERIC

See Also:
  Constant Field Values

Method Detail

### createString

    public static Literal createString(java.lang.String s)

### createSymbol

    public static Literal createSymbol(java.lang.String s)

### create

    public static Literal create(java.lang.Double d)

### create

    public static Literal create(java.lang.Integer i)

### toMdx

    public java.lang.String toMdx()

  format to MDX

  Specified by:
    `toMdx` in interface `Exp`

### clone

    public java.lang.Object clone()

  Literal is immutable

  Specified by:
    `clone` in interface `Exp`
  Overrides:
    `clone` in class `java.lang.Object`
  See Also:
    `Object.clone()`

### stringValue

    public java.lang.String stringValue()

### getValueObject

    public java.lang.Object getValueObject()

  Returns:

### accept

    public void accept(ExpVisitor visitor)

  Description copied from interface: `Exp`
  Exp is visitable

  Specified by:
    `accept` in interface `Exp`
  See Also:
    `Exp.accept(com.tonbeller.jpivot.olap.mdxparse.ExpVisitor)`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD